package _VisualDVM.ProjectData.SapforData.Functions.UI;
import Common.Visual.Menus.GraphMenu;
import Common.Visual.Trees.SelectableTree;
import Common.Visual.Trees.SelectionTreeCellRenderer;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.SapforData.FileObject;
public class InlineTree2 extends SelectableTree {
    public InlineTree2() {
        super(Global.mainModule.getProject().inline_root2);
    }
    @Override
    public Class getRendererClass() {
        return SelectionTreeCellRenderer.class;
    }
    @Override
    public Current currentName() {
        return Current.InlineGraphElement2;
    }
    @Override
    protected GraphMenu createMenu() {
        return new InlineMenu2(this);
    }
    @Override
    public void ShowCurrentObject() {
        Object o = Global.mainModule.get(currentName());
        if (o instanceof FileObject) {
            ((FileObject) o).Show(false);
        }
    }
    @Override
    protected int getStartLine() {
        return 1;
    }
}